This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 79671 - System Hangs on boot after installing 2nd USB ethernet.
System Hangs on boot after installing 2nd USB ethernet.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-14 15:49 EST by Trevor Banister
Modified: 2014-03-16 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 19:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Banister 2002-12-14 15:49:41 EST
Description of problem:
Redhat 8.0 detects the first USB Ethernet adaptor (Linksys USB100H1 - HomeLink 
Phoneline + 10/100 USB Network Adapter, using the AMD chipset and Pegasus 
driver that comes with RedHat 8.0)

Both USB adaptors work as eth0 if plugged in individually, but the OS hangs 
on "Detecting New Hardware" if both are present at boot time. If the 2nd 
Ethernet is plugged in after boot, the device is recognized 
in /var/log/messages and assigned a device number, but eth1 is not created, and 
the 10/100 lights stay dark on the device.

No USB hub is being used, both devices are plugged into the monther board, and 
are the only USB devices and ports on the system. Keyboard and Mouse are 
standard AT style, and not USB.


Version-Release number of selected component (if applicable):
Redhat 8.0

How reproducible:
Every time

1. Plug in 1st Linksys USB100H1 to USB port and Ethernet hub
2. Reboot 
3. Plug in 2nd Linksys USB100H1 to USB port and Ethernet hub
4. Reboot
    
Actual results:
Hangs/crashes at "Detecting new Hardware" (I left it on overnight)
Ctrl-Alt-Del will reboot the system, but otherwise the system is hung.

Expected results:
Hardware detection would find the 2nd USB Ethernet device, create an eth1, and 
get an IP with DHCP.


Additional info:
Here's a dump from cat /var/log/messages | grep usb.
[root@localhost log]# cat  messages | grep usb
Dec 10 01:05:32 localhost kudzu: aliased usb-controller as usb-uhci
Dec 11 15:30:53 localhost rc.sysinit: Initializing USB controller (usb-uhci):  
succeeded
Dec 11 15:30:56 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 11 15:30:56 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 11 15:30:56 localhost /etc/hotplug/usb.agent: Setup pegasus for USB product 
66b/2204/101
Dec 11 15:36:15 localhost kernel: usb.c: registered new driver usbdevfs
Dec 11 15:36:15 localhost kernel: usb.c: registered new driver hub
Dec 11 15:36:15 localhost kernel: usb-uhci.c: $Revision: 1.275 $ time 13:44:31 
Sep  4 2002
Dec 11 15:36:15 localhost kernel: usb-uhci.c: High bandwidth mode enabled
Dec 11 15:36:15 localhost kernel: usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 11
Dec 11 15:36:15 localhost kernel: usb-uhci.c: Detected 2 ports
Dec 11 15:36:15 localhost kernel: usb.c: new USB bus registered, assigned bus 
number 1
Dec 11 15:36:16 localhost kernel: usb-uhci.c: v1.275:USB Universal Host 
Controller Interface driver
Dec 11 15:36:16 localhost kernel: usb.c: registered new driver hiddev
Dec 11 15:36:16 localhost kernel: usb.c: registered new driver hid
Dec 11 15:36:16 localhost kernel: usb.c: USB device 2 (vend/prod 0x66b/0x2204) 
is not claimed by any active driver.
Dec 11 15:36:16 localhost kernel: usb.c: registered new driver pegasus
Dec 13 17:56:57 localhost rc.sysinit: Initializing USB controller (usb-uhci):  
succeeded
Dec 13 17:57:00 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 13 17:57:00 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 13 17:57:00 localhost /etc/hotplug/usb.agent: Setup pegasus for USB product 
66b/2204/101
Dec 13 18:01:20 localhost kernel: usb.c: registered new driver usbdevfs
Dec 13 18:01:20 localhost kernel: usb.c: registered new driver hub
Dec 13 18:01:20 localhost kernel: usb-uhci.c: $Revision: 1.275 $ time 13:44:31 
Sep  4 2002
Dec 13 18:01:20 localhost kernel: usb-uhci.c: High bandwidth mode enabled
Dec 13 18:01:20 localhost kernel: usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 11
Dec 13 18:01:20 localhost kernel: usb-uhci.c: Detected 2 ports
Dec 13 18:01:20 localhost kernel: usb.c: new USB bus registered, assigned bus 
number 1
Dec 13 18:01:21 localhost kernel: usb-uhci.c: v1.275:USB Universal Host 
Controller Interface driver
Dec 13 18:01:21 localhost kernel: usb.c: registered new driver hiddev
Dec 13 18:01:21 localhost kernel: usb.c: registered new driver hid
Dec 13 18:01:21 localhost kernel: usb.c: USB device 2 (vend/prod 0x66b/0x2204) 
is not claimed by any active driver.
Dec 13 18:01:21 localhost kernel: usb.c: registered new driver pegasus
Dec 14 12:21:19 localhost rc.sysinit: Initializing USB controller (usb-uhci):  
succeeded
Dec 14 12:21:21 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 14 12:21:22 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 14 12:21:22 localhost /etc/hotplug/usb.agent: Setup pegasus for USB product 
66b/2204/101
Dec 14 12:22:49 localhost kernel: usb.c: registered new driver usbdevfs
Dec 14 12:22:49 localhost kernel: usb.c: registered new driver hub
Dec 14 12:22:49 localhost kernel: usb-uhci.c: $Revision: 1.275 $ time 13:44:31 
Sep  4 2002
Dec 14 12:22:49 localhost kernel: usb-uhci.c: High bandwidth mode enabled
Dec 14 12:22:49 localhost kernel: usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 11
Dec 14 12:22:49 localhost kernel: usb-uhci.c: Detected 2 ports
Dec 14 12:22:49 localhost kernel: usb.c: new USB bus registered, assigned bus 
number 1
Dec 14 12:22:49 localhost kernel: usb-uhci.c: v1.275:USB Universal Host 
Controller Interface driver
Dec 14 12:22:49 localhost kernel: usb.c: registered new driver hiddev
Dec 14 12:22:49 localhost kernel: usb.c: registered new driver hid
Dec 14 12:22:49 localhost kernel: usb.c: USB device 2 (vend/prod 0x66b/0x2204) 
is not claimed by any active driver.
Dec 14 12:22:50 localhost kernel: usb.c: registered new driver pegasus
Dec 14 13:29:50 localhost rc.sysinit: Initializing USB controller (usb-uhci):  
succeeded
Dec 14 13:29:53 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 14 13:29:53 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 14 13:29:53 localhost /etc/hotplug/usb.agent: Setup pegasus for USB product 
66b/2204/101
Dec 14 13:30:36 localhost kernel: usb.c: registered new driver usbdevfs
Dec 14 13:30:36 localhost kernel: usb.c: registered new driver hub
Dec 14 13:30:36 localhost kernel: usb-uhci.c: $Revision: 1.275 $ time 13:44:31 
Sep  4 2002
Dec 14 13:30:37 localhost kernel: usb-uhci.c: High bandwidth mode enabled
Dec 14 13:30:37 localhost kernel: usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 11
Dec 14 13:30:37 localhost kernel: usb-uhci.c: Detected 2 ports
Dec 14 13:30:37 localhost kernel: usb.c: new USB bus registered, assigned bus 
number 1
Dec 14 13:30:37 localhost kernel: usb-uhci.c: v1.275:USB Universal Host 
Controller Interface driver
Dec 14 13:30:37 localhost kernel: usb.c: registered new driver hiddev
Dec 14 13:30:37 localhost kernel: usb.c: registered new driver hid
Dec 14 13:30:37 localhost kernel: usb.c: USB device 2 (vend/prod 0x66b/0x2204) 
is not claimed by any active driver.
Dec 14 13:30:37 localhost kernel: usb.c: registered new driver pegasus
Dec 14 14:32:33 localhost kernel: usb-uhci.c: interrupt, status 2, frame# 1721
Dec 14 14:32:33 localhost kernel: usb.c: error getting string descriptor 0 
(error=-84)
Dec 14 14:33:15 localhost kernel: usb-uhci.c: interrupt, status 2, frame# 1338
Dec 14 14:33:15 localhost kernel: usb.c: error getting string descriptor 0 
(error=-84)
Dec 14 14:36:48 localhost rc.sysinit: Initializing USB controller (usb-uhci):  
succeeded
Dec 14 14:36:51 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 14 14:36:51 localhost /etc/hotplug/usb.agent: Setup usbcore for USB product 
0/0/0
Dec 14 14:36:51 localhost /etc/hotplug/usb.agent: Setup pegasus for USB product 
66b/2204/101
Dec 14 14:37:35 localhost kernel: usb.c: registered new driver usbdevfs
Dec 14 14:37:35 localhost kernel: usb.c: registered new driver hub
Dec 14 14:37:35 localhost kernel: usb-uhci.c: $Revision: 1.275 $ time 13:44:31 
Sep  4 2002
Dec 14 14:37:35 localhost kernel: usb-uhci.c: High bandwidth mode enabled
Dec 14 14:37:35 localhost kernel: usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 10
Dec 14 14:37:35 localhost kernel: usb-uhci.c: Detected 2 ports
Dec 14 14:37:35 localhost kernel: usb.c: new USB bus registered, assigned bus 
number 1
Dec 14 14:37:35 localhost kernel: usb-uhci.c: v1.275:USB Universal Host 
Controller Interface driver
Dec 14 14:37:35 localhost kernel: usb.c: registered new driver hiddev
Dec 14 14:37:35 localhost kernel: usb.c: registered new driver hid
Dec 14 14:37:35 localhost kernel: usb.c: USB device 2 (vend/prod 0x66b/0x2204) 
is not claimed by any active driver.
Dec 14 14:37:35 localhost kernel: usb.c: registered new driver pegasus
Comment 1 Bill Nottingham 2002-12-16 19:27:27 EST
What does /proc/bus/usb/devices look like when they're both plugged in?
Comment 2 Bill Nottingham 2003-07-30 19:22:30 EDT
Closed, no response.

Note You need to log in before you can comment on or make changes to this bug.